Bug 1539157 (CVE-2018-6196) - CVE-2018-6196 w3m: Infinite recursion in HTMLlineproc0
Summary: CVE-2018-6196 w3m: Infinite recursion in HTMLlineproc0
Keywords:
Status: CLOSED NEXTRELEASE
Alias: CVE-2018-6196
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180123,reported=2...
Depends On: 1539158 1539159 1539160
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-26 19:34 UTC by Pedro Sampaio
Modified: 2019-06-14 08:49 UTC (History)
3 users (show)

Fixed In Version: w3m 0.5.3+git20180125
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-24 08:52:38 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-01-26 19:34:54 UTC
w3m through 0.5.3 is prone to an infinite recursion flaw in HTMLlineproc0 because the feed_table_block_tag function in table.c does not prevent a negative indent value.

Upstream bug:

https://github.com/tats/w3m/issues/88

Upstream patch:

https://github.com/tats/w3m/commit/8354763b90490d4105695df52674d0fcef823e92

Comment 1 Pedro Sampaio 2018-01-26 19:36:06 UTC
Created w3m tracking bugs for this issue:

Affects: epel-7 [bug 1539160]
Affects: fedora-all [bug 1539159]

Comment 3 Parag Nemade 2018-06-24 08:52:38 UTC
Fixed for all the requested releases.


Note You need to log in before you can comment on or make changes to this bug.